
package de.ivu.elect.presentation.kandidatur.table;

import de.ivu.elect.business.ergebnis.entity.Gewaehlt;
import de.ivu.elect.business.ergebnis.entity.GewaehltConstants;
import de.ivu.elect.business.ergebnis.entity.GewaehltStatusVergabe;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.Icons;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class KandidaturGewaehltGewaehltGewaehltStatusVergabeColumn extends AbstractKandidaturGewaehltGewaehltColumn {

  private static final long serialVersionUID = 1L;

  public KandidaturGewaehltGewaehltGewaehltStatusVergabeColumn(Messages messages, Icons icons) {
    super(messages);
  }

  @Override
  public ColumnType getType() {
    return ColumnType.STRING;
  }

  @Override
  public String getHeader() {
    return getMessage(GewaehltConstants.MESSAGE_KEY_GEWAEHLT_STATUS_VERGABE_EINZAHL);
  }

  @Override
  public Object getValue(Gewaehlt gewaehlt) {
    return GewaehltStatusVergabe.lokalisiere(getMessages(), gewaehlt.getWahl(), gewaehlt.getGewaehltStatusVergabe());
  }
}
